Bug 2078114 - Shim bug prevents firmware update in a ThinkPad firmware updates
Summary: Shim bug prevents firmware update in a ThinkPad firmware updates
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: shim
Version: 36
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Peter Jones
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2022-04-23 18:40 UTC by carnage
Modified: 2022-06-17 14:27 UTC (History)
5 users (show)

Fixed In Version: shim-15.6-1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2022-06-17 01:19:14 UTC
Type: Bug


Attachments (Terms of Use)

Description carnage 2022-04-23 18:40:08 UTC
Description of problem: Trying to update the firmware of ThinkPad devices doesn't work at all


Version-Release number of selected component (if applicable): 15.4


How reproducible: All attempts


Steps to Reproduce:
1. Check the version of firmware in use
2. Install firmware updates via fwupd (cli or gui)
3. Restart
4. Check for the current version and compare it with the one from step 1

Actual results: Installed updates are not applied and completely ignored


Expected results: Install firmware updates as expected


Additional info: 
- This bug pretty much stops critical security fixes from being applied
- Already fixed in 15.5 
- Patches are in this PR https://github.com/rhboot/shim/pull/379

Comment 1 Fedora Update System 2022-06-15 17:42:26 UTC
FEDORA-2022-98830efc68 has been submitted as an update to Fedora 35. https://bodhi.fedoraproject.org/updates/FEDORA-2022-98830efc68

Comment 2 Fedora Update System 2022-06-16 02:15:03 UTC
FEDORA-2022-98830efc68 has been pushed to the Fedora 35 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2022-98830efc68`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2022-98830efc68

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 3 Fedora Update System 2022-06-17 01:19:14 UTC
FEDORA-2022-98830efc68 has been pushed to the Fedora 35 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 4 carnage 2022-06-17 07:23:07 UTC
This only fixes 35, not 36 right?

Comment 5 Robbie Harwood 2022-06-17 14:27:56 UTC
pjones spoke to that in https://bugzilla.redhat.com/show_bug.cgi?id=1955416#c88:

> f35, f36, and rawhide eventually all need the same build, so test with the one above, and I'll work with rel-eng on tagging when it's okay to do so.

Since this update is now stable, I imagine it will shortly be okay to do so if it's not already.


Note You need to log in before you can comment on or make changes to this bug.